JBoss API: Class SecurityProxyInterceptor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class SecurityProxyInterceptor

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.AbstractInterceptor
            |
            +--org.jboss.ejb.plugins.SecurityProxyInterceptor

All Implemented Interfaces:
  ContainerPlugin, Interceptor, Service

public class SecurityProxyInterceptor
extends AbstractInterceptor

The SecurityProxyInterceptor is where the EJB custom security proxy integration is performed. This interceptor is dynamically added to container interceptors when the deployment descriptors specifies a security proxy. It is added just before the container interceptor so that the interceptor has access to the EJB instance and context.

Version:
  $Revision: 1.2.2.3 $
Author:
  Scott.Stark@jboss.org

Field Summary
`protected Container` | `container`
`java.lang.String` | `SECURITY_PROXY_FACTORY_NAME` The JNDI name of the SecurityProxyFactory used to wrap security proxy objects that do not implement the SecurityProxy interface
`protected AuthenticationManager` | `securityManager`
`protected SecurityProxy` | `securityProxy`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`log, nextInterceptor`

Constructor Summary
`SecurityProxyInterceptor()`

Method Summary
`Container` | `getContainer()`
`java.lang.Object` | `invoke(MethodInvocation mi)`
`java.lang.Object` | `invokeHome(MethodInvocation mi)`
`void` | `setContainer(Container container)` This callback is set by the container so that the plugin may access it
`void` | `start()`

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`destroy, getNext, init, setNext, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SECURITY_PROXY_FACTORY_NAME

    public final java.lang.String SECURITY_PROXY_FACTORY_NAME

  The JNDI name of the SecurityProxyFactory used to wrap security proxy objects that do not implement the SecurityProxy interface

### container

    protected Container container

### securityManager

    protected AuthenticationManager securityManager

### securityProxy

    protected SecurityProxy securityProxy

Constructor Detail

### SecurityProxyInterceptor

    public SecurityProxyInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Overrides:
    `setContainer` in class `AbstractInterceptor`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### getContainer

    public Container getContainer()

  Overrides:
    `getContainer` in class `AbstractInterceptor`

### start

    public void start()
               throws java.lang.Exception

  Overrides:
    `start` in class `AbstractInterceptor`

### invokeHome

    public java.lang.Object invokeHome(MethodInvocation mi)
                                throws java.lang.Exception

  Overrides:
    `invokeHome` in class `AbstractInterceptor`

### invoke

    public java.lang.Object invoke(MethodInvocation mi)
                            throws java.lang.Exception

  Overrides:
    `invoke` in class `AbstractInterceptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.